Validar suscripción
curl --request GET \
--url https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"subscribed": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Actividad de la cuenta
Validar suscripción
Comprueba la suscripción de Account Activity de un usuario para un webhook específico.
GET
/
2
/
account_activity
/
webhooks
/
{webhook_id}
/
subscriptions
/
all
Validar suscripción
Autorizaciones
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
Identificador del webhook para comprobar la suscripción correspondiente. El identificador único de esta configuración de webhook.
Pattern:
^[0-9]{1,19}$Ejemplo:
"1146654567674912769"
Respuesta
La solicitud se completó correctamente.
Show child attributes
Show child attributes
Minimum array length:
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes